<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <title> Tavant Customers </title>
  <link rel="shortcut icon" href="webroots/images/favicon.ico">
  <link type="text/css" rel="stylesheet" href="webroots/css/admin.css" />
  <script type="text/javascript" src="webroots/js/library/angular-1.6.0.min.js"></script>
</head>

<body ng-app="mapsAdmin" ng-controller="clientsController">
  <div id="map-canvas" class="mapCanvas"></div>
  <div id="loader" class="loader hide">
    <div class="loader-wrapper">
      Processing
    </div>
  </div>
  <div class="content-wrapper" ng-cloak>

    <!--Header-->
    <h1 class="header">
      Maps Admin
      <a class="goToMapsBtn tooltip-parent" ng-click="goToMaps()"><span class="tooltip tooltip-bottom">Go To Maps</span></a>
      <a class="logoutBtn tooltip-parent" ng-click="logout()"><span class="tooltip tooltip-bottom">Logout</span></a>
    </h1>
    <div class="dashboard-content content" ng-class="{'admin-access': (role==='ADMIN')}" ng-show="state===1">
      <div class="client-section">
        <h2 class="home-heading">Clients</h2>
        <div class="error-container" ng-class="{'error-active' : isClientError}"> <div class="error-msg"> Please disable all projects of the client before disabling the Client! </div> </div>
        <div class="tileSection" ng-repeat="client in clients | orderBy: 'clientName'">
          <div ng-click="openClient(client._id)" title="{{client.clientName}}">
            {{client.clientName}} <span class="toggler" ng-class="{active: client.isClientActive}" ng-click="toggleClient(client, $event)"></span>
          </div>
        </div>
        <div class="tileSection addNewTile">
          <div ng-click="openClient()">
            Add New Client <span class="add-icon" title="Add New Client"></span>
          </div>
        </div>
      </div>
      <!--Display List of All Users for ADMIN Role-->
      <div class="users-section" ng-if="role==='ADMIN'">
        <h2 class="home-heading">Admin Users</h2>
        <div class="users-list">
          <div class="heading-row">
            <label> User Name </label>
            <label> Role </label>
          </div>

          <!--ngRepeat Users in List-->
          <div class="user-row" ng-class="{active: user.isEdit}" ng-repeat="user in users">
            <label ng-hide="user.isEdit">{{user.userName}}</label>
            <label ng-hide="user.isEdit">{{user.role}}
              <button class="delete-icon" ng-click="deleteUser(user._id)" ng-if="!$parent.isSingleAdmin || (user.role !== 'ADMIN')"></button>
              <button class="edit-icon" ng-click="toggleEdit($index, user)"></button>
            </label>
            <label class="user-heading" ng-if="user.isEdit">Edit User</label>

            <!--Users Edit Mode-->
            <label ng-if="user.isEdit" class="name-wrapper">
              <input ng-model="user.editName" placeholder="User Name" />
              <div class="ad-list">
                <ul>
                  <li ng-repeat="adUser in adUsers | filter:user.editName | orderBy: 'name'" ng-mousedown="user.editName = adUser.name;user.editEmail = adUser.email;">{{adUser.name}}</li>
                </ul>
              </div>
            </label>
            <label ng-if="user.isEdit">
              <select ng-model="user.editRole" ng-disabled="$parent.isSingleAdmin && (user.role === 'ADMIN')">
                <option value="ADMIN"> ADMIN </option>
                <option value="PMO"> PMO </option>
              </select>
              <button class="cancel-icon" ng-click="user.isEdit = false;"></button>
              <button class="save-icon" ng-click="saveUser($index, user)"></button>
            </label>
            <label class="email-label" ng-if="user.isEdit"><input ng-model="user.editEmail" placeholder="Email" /></label>

          </div>

          <!--Add New User-->
          <div class="user-row add-user" ng-class="{active: isNewUser}">
            <label ng-hide="isNewUser" class="pointer" ng-click="isNewUser = true"> <span class="add-icon"></span> Add User </label>
            <label class="user-heading" ng-show="isNewUser">New User</label>
            <label ng-show="isNewUser" class="name-wrapper">
              <input ng-model="newUser.editName" placeholder="User Name" />
              <div class="ad-list">
                <ul>
                  <li ng-repeat="adUser in adUsers | filter:newUser.editName | orderBy: 'name'" ng-mousedown="newUser.editName = adUser.name;newUser.editEmail = adUser.email;">{{adUser.name}}</li>
                </ul>
              </div>
            </label>
            <label ng-show="isNewUser">
              <select ng-model="newUser.editRole">
                <option value="ADMIN"> ADMIN </option>
                <option value="PMO"> PMO </option>
              </select>
              <button class="cancel-icon" ng-click="isNewUser = false"></button>
              <button class="save-icon" ng-click="saveUser(null, newUser);isNewUser = false;"></button>
            </label>
            <label class="email-label" ng-show="isNewUser">
              <input ng-model="newUser.editEmail" placeholder="Email" />
            </label>
          </div>

        </div>
      </div>
    </div>

    <!--Client Details Page-->
    <div class="details-content content" ng-if="state > 1" ng-show="tab === 1">
      <div class="details-wrapper">
        <h2>Client</h2>
        <div class="left-content">
          <form name="clientDetails">
            <div class="row">
              <label>Client Name</label>
              <input type="text" required="required" ng-model="clientInfo.clientName" />
            </div>
            <div class="row medium-row ">
              <label>Contact Person</label>
              <input type="text" required="required" ng-model="clientInfo.contactPerson" />
            </div>
            <div class="row short-row ">
              <label>Contact Number</label>
              <input type="text" required="required" ng-model="clientInfo.contactNumber" />
            </div>
            <div class="row medium-row ">
              <label>Email ID</label>
              <input type="text" required="required" ng-model="clientInfo.email" />
            </div>
            <div class="row short-row ">
              <label>Project Since</label>
              <input type="text" required="required" ng-model="clientInfo.projectSince" />
            </div>
            <div class="row">
              <label>Account ToK Link</label>
              <input type="text" ng-model="clientInfo.sharepointLink" />
            </div>
            <div class="row">
              <label>Client Link</label>
              <input type="text" ng-model="clientInfo.clientLink" />
            </div>
            <div class="row description-row">
              <label>Description</label>
              <textarea type="text" required="required" ng-model="clientInfo.description"></textarea>
            </div>
            <div class="row radio-row">
              <label>Practice</label>
              <div class="radio-wrapper">
                <label ng-repeat="practice in practices" >
                  <input type="radio" required="required" ng-model="clientInfo.practice" value="{{practice}}" name="practice" />
                  <span class="custom-radio"></span>{{practice}}
                </label>
              </div>
            </div>
            <div class="row  checkbox-row">
              <label>Field</label>
              <div class="checkbox-wrapper">
                <div class="vertical-fields">
                  <label ng-repeat="field in fields | filter: {practice : 'Vertical'} | orderBy: 'field'">
                    <input type="checkbox" ng-checked="isFieldPresent(field.field)" ng-click="toggleField(field.field)" />
                    <span class="custom-checkbox"></span>{{field.field}}
                  </label>
                </div>
                <div class="horizontal-fields">
                  <label ng-repeat="field in fields | filter: {practice : 'Horizontal'} | orderBy: 'field'">
                    <input type="checkbox" ng-checked="isFieldPresent(field.field)" ng-click="toggleField(field.field)" />
                    <span class="custom-checkbox"></span>{{field.field}}
                  </label>
                </div>
              </div>
            </div>
          </form>
        </div>
        <div class="right-content">
          <div class="location-wrapper">
            <div class="map-section">
              <input type="text" class="searchField" id="searchField" />
              <div class="location-map" id="location-map"></div>
            </div>
            <div class="location-section">
              <div class="row marker-row">
                <span class="marker"></span>
                <label>Locate the Client on map!</label>
              </div>
              <form name="locationDetails">
                <div class="row ">
                  <label>Location</label>
                  <input disabled="disabled" required="required" type="text" ng-model="clientInfo.location" />
                </div>
                <div class="row ">
                  <label>Latitude</label>
                  <input disabled="disabled" required="required" type="text" ng-model="clientInfo.latitude" />
                </div>
                <div class="row ">
                  <label>Longitude</label>
                  <input disabled="disabled" required="required" type="text" ng-model="clientInfo.longitude" />
                </div>
              </form>
            </div>
          </div>
          <div class="button-wrapper">
            <button class="animate-btn save-btn tooltip-parent" ng-click="saveClient()" ng-disabled="clientDetails.$invalid || locationDetails.$invalid || (clientInfo.field.length === 0)">
              Save<span class="tooltip tooltip-bottom">Please fill in all the details!</span>
            </button>
            <button class="animate-btn" ng-click="$parent.state = 1">Cancel</button>
          </div>
          <div class="projects-wrapper" ng-show="isClientAdded">
            <h2>Projects</h2>
            <div class="projectList">
              <div class="tileSection" ng-repeat="project in projects | orderBy: 'projectName'">
                <div ng-click="openProject(project._id)" title="{{project.projectName}}">
                  {{project.projectName}} <span class="toggler" ng-class="{active: project.isProjectActive}" ng-click="toggleProject(project, $event)"></span>
                </div>
              </div>
              <div class="tileSection addNewTile">
                <div ng-click="openProject()" title="Add New Project">
                  Add New Project <span class="add-icon"></span>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!--Project Details Page-->
    <div class="project-content content" ng-if="state > 1" ng-show="tab === 2">
      <h2>Project Details</h2>
      <form class="form-content" name="projectDetails">
        <div class="section">
          <div class="row">
            <label>Project Name</label>
            <input type="text" required="required" ng-model="projectInfo.projectName" />
          </div>
          <div class="row">
            <label>Technologies</label>
            <input type="text" required="required" ng-model="projectInfo.technology" />
          </div>
          <div class="row section">
            <label>Database</label>
            <input type="text" required="required" ng-model="projectInfo.db" />
          </div>
          <div class="row section">
            <label>Operating System</label>
            <input type="text" required="required" ng-model="projectInfo.os" />
          </div>
          <div class="row">
            <label>Horizontal (Optional)</label>
            <div class="radio-wrapper">
              <label ng-repeat="field in fields | filter: {practice : 'Horizontal'} | orderBy: 'field'">
                <input type="radio" ng-model="projectInfo.horizontal" value="{{field.field}}" name="horizontal" />
                <span class="custom-radio"></span>{{field.field}}
              </label>
            </div>
          </div>
        </div>
        <div class="section">
          <div class="row clear">
            <label>Project ToK Link</label>
            <input type="text" ng-model="projectInfo.projectLink" />
          </div>
          <div class="row clear">
            <label>Project Description</label>
            <textarea ng-model="projectInfo.projectDescription" required="required"></textarea>
          </div>
        </div>
      </form>
      <div class="button-wrapper">
        <button class="animate-btn save-btn tooltip-parent" ng-click="saveProject()" ng-disabled="projectDetails.$invalid">
          Save<span class="tooltip tooltip-bottom">Please fill in all the details!</span>
        </button>
        <button class="animate-btn" ng-click="$parent.state = 2;$parent.tab = 1">Cancel</button>
      </div>
    </div>
  </div>
  <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCEXJ1P7Im0BG4q8BasWeC5i8prbouf5XU&libraries=places"></script>
  <script type="text/javascript" src="webroots/js/admin.js"></script>
</body>

</html>